Name: crashdc
Version: 0.8
Release: 0
Summary: Crash Dump Data Collector

Group: System/Admin
License: GPL
URL: http://crashdc.sourceforge.net/
Source0: http://crashdc.sourceforge.net/snapshot/crashdc-%{version}.%{release}-noarch.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}

#Copyright: 2000-2010 Hewlett-Packard Development Company, L.P
Packager: Louis Bouchard <louis.bouchard@kamikamamak.fr>

BuildArch: noarch
Requires: crash
Provides: crashdc

%description
crashdc uses the crash command to gather information about a crash dump
(vmcore) and generates a text file from it. The command can be  invoked
either  interactively  to  parse existing crash dump files or it can be
used automatically upon creation of a new vmcore file.

%prep
%setup -q -n crashdc-%{version}.%{release}-noarch

%build

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man7
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/share/man/man5/crashdc.5.gz $RPM_BUILD_ROOT/usr/share/man/man5
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/share/man/man7/crashdc.7.gz $RPM_BUILD_ROOT/usr/share/man/man7
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/share/man/man8/crashdc.8.gz $RPM_BUILD_ROOT/usr/share/man/man8
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/bin/run-crashdc-rhel5.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/bin/run-crashdc-rhel6.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/bin/run-crashdc-sles10.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/bin/run-crashdc-sles11.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/usr/bin/crashdc $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/etc/sysconfig/crashdc.rhel5 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/etc/sysconfig/crashdc.rhel6 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/etc/sysconfig/crashdc.sles10 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/etc/sysconfig/crashdc.sles11 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-%{version}.%{release}-noarch/etc/init.d/crashdc $RPM_BUILD_ROOT/etc/init.d

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sysconfig/crashdc.rhel5
%config /etc/sysconfig/crashdc.rhel6
%config /etc/sysconfig/crashdc.sles10
%config /etc/sysconfig/crashdc.sles11
%attr (750,root,root) /usr/bin/crashdc
%attr (750,root,root) /usr/bin/run-crashdc-rhel5.sh
%attr (750,root,root) /usr/bin/run-crashdc-rhel6.sh
%attr (750,root,root) /usr/bin/run-crashdc-sles10.sh
%attr (750,root,root) /usr/bin/run-crashdc-sles11.sh
%attr (750,root,root) /etc/init.d/crashdc
%attr (644,root,root)  /usr/share/man/man5/crashdc.5.gz
%attr (644,root,root)  /usr/share/man/man7/crashdc.7.gz
%attr (644,root,root)  /usr/share/man/man8/crashdc.8.gz
%doc INSTALL
%doc README
%changelog
* Fri Nov 12 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.8
- Bugfix[3107950] Make crashdc work on RHEL6.
- Bugfix[3013715] Make scanning of VMCOREDIR work when makedumpfile used.
* Fri Oct 15 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.7
- Bugfix[3085803] Make crashdc work with local sysconfig.crashdc file.
* Tue Mar 16 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.6
- Finalized tests on RHEL5, SLES10 and SLES11 (i386 and x86_64)
- Completed doc and manpages
- Official Beta version
* Thu Jan 28 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.54
- Added init.d script for manual generation
- Implemented CUSTOM mode
* Fri Jan 15 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.5
- Version tested on 3 kernel types on RHEL5, SLES10
* Thu Jan 07 2010 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.5
- Version tested on 3 kernel types on RHEL5
* Thu Nov 26 2009 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.3
- Changed Copyright for GPLv2 only and added header to each file
* Wed Oct 21 2009 Louis Bouchard <louis.bouchard@kamikamamak.fr> 0.1
- First roughly working version (tested on RHEL5)
