#!/usr/bin/perl

use warnings;
use strict;
use crashdctestlib;
use Test::More tests => 28;

my $prompt_timeout=600;

ok ( revert_snapshot("rhel5"), "Reverted to original snapshot");
ok ( start_vm("rhel5"), "Started RHEL5 vm");
sleep 5;
ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
ok (prepare_for_test("rhel5"), "VM is prepared for tests");
ok (crash_vm("rhel5"), "Trigggered a kernel crash");
ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
like ( check_service("rhel5","status"), qr/exists$/,'service crashdc status');
sleep 60;
like ( check_service("rhel5","generate"), qr/has been generated$/,'rhel5 : service crashdc generate');
like ( check_service("rhel5","advanced"), qr/has been generated$/,'rhel5 : service crashdc advanced');
like ( check_service("rhel5","custom"), qr/has been generated$/,'rhel5 : service crashdc custom');

ok (switch_grub("rhel5","xen"), "VM setup to boot on XEN kernel");
ok (reboot_vm("rhel5"), "Rebooted VM with XEN kernel");
ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
ok (crash_vm("rhel5"), "Trigggered a kernel crash");
ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
like ( check_service("rhel5","status"), qr/exists$/,'rhel5 : service crashdc status');
sleep 60;
like ( check_service("rhel5","generate"), qr/has been generated$/,'rhel5 : service crashdc generate');
like ( check_service("rhel5","advanced"), qr/has been generated$/,'rhel5 : service crashdc advanced');
like ( check_service("rhel5","custom"), qr/has been generated$/,'rhel5 : service crashdc custom');
ok (switch_grub("rhel5","pae"), "VM setup to boot on PAE kernel");
ok (reboot_vm("rhel5"), "Rebooted VM with PAE kernel");

ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
ok (crash_vm("rhel5"), "Trigggered a kernel crash");
ok (wait_for_prompt("rhel5",$prompt_timeout), "Got the login prompt");
like ( check_service("rhel5","status"), qr/exists$/,'rhel5 : service crashdc status');
sleep 60;
like ( check_service("rhel5","generate"), qr/has been generated$/,'rhel5 : service crashdc generate');
like ( check_service("rhel5","advanced"), qr/has been generated$/,'rhel5 : service crashdc advanced');
like ( check_service("rhel5","custom"), qr/has been generated$/,'rhel5 : service crashdc custom');
